---
title: ImageData.height
slug: Web/API/ImageData/height
tags:
  - API
  - Canvas
  - ImageData
  - Property
  - Reference
---
<div>{{APIRef("Canvas API")}}</div>

<p>The readonly <code><strong>ImageData.height</strong></code> property returns the number of rows in the {{domxref("ImageData")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>imageData</em>.height
</pre>

<h2 id="Example">Example</h2>

<p>This example creates an <code>ImageData</code> object that is 200 pixels wide and 100 pixels tall. Thus, the <code>height</code> property is <code>100</code>.</p>

<pre class="brush: js  language-js">let imageData = new ImageData(200, 100);
console.log(imageData.height);  // 100
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'scripting.html#dom-imagedata-height', 'ImageData.height')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ImageData.height")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("ImageData.width")}}</li>
 <li>{{domxref("ImageData")}}</li>
</ul>

<div id="cke_pastebin" style="position: absolute; top: 459.5px; width: 1px; height: 1px; overflow: hidden; left: -1000px;"> </div>
